org.codehaus.plexus.component.configurator.expression

## Class DefaultExpressionEvaluator

- java.lang.Object
- - org.codehaus.plexus.component.configurator.expression.DefaultExpressionEvaluator

All Implemented Interfaces:
  ExpressionEvaluator

    public class DefaultExpressionEvaluator
    extends java.lang.Object
    implements ExpressionEvaluator

Evaluate an expression.

Version:
  $Id: DefaultExpressionEvaluator.java 4779 2006-11-23 04:09:31Z jvanzyl $
Author:
  Brett Porter

### Field Summary

### Fields inherited from interface org.codehaus.plexus.component.configurator.expression.ExpressionEvaluator

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`DefaultExpressionEvaluator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.io.File` `alignToBaseDirectory(java.io.File file)` Align a given path to the base directory that can be evaluated by this expression evaluator, if known.
`java.lang.Object` `evaluate(java.lang.String expression)` Evaluate an expression.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultExpressionEvaluator

    public DefaultExpressionEvaluator()

### Method Detail

#### evaluate

    public java.lang.Object evaluate(java.lang.String expression)

Evaluate an expression.

Specified by:
  `evaluate` in interface `ExpressionEvaluator`
Parameters:
  `expression` - the expression
Returns:
  the value of the expression

#### alignToBaseDirectory

    public java.io.File alignToBaseDirectory(java.io.File file)

Description copied from interface: `ExpressionEvaluator`
Align a given path to the base directory that can be evaluated by this expression evaluator, if known.

Specified by:
  `alignToBaseDirectory` in interface `ExpressionEvaluator`
Parameters:
  `file` - the file
Returns:
  the aligned file